# Package org.apache.ignite.internal.util.offheap

Interface Summary
Interface | Description
--- | ---
GridOffHeapEventListener | Off-heap event listener.
GridOffHeapEvictListener | Callback for whenever entries get evicted from off-heap store.
GridOffHeapMap | Off-heap map.
GridOffHeapPartitionedMap | Off-heap map.

Class Summary
Class | Description
--- | ---
GridOffHeapMapFactory | Factory for off-heap maps.

Enum Summary
Enum | Description
--- | ---
GridOffHeapEvent | Off-heap event types.

Exception Summary
Exception | Description
--- | ---
GridOffHeapOutOfMemoryException | Thrown when memory could not be allocated.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016